<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class saksi_m extends CI_Model{

	function get_data_saksi($idperkara){
		if(empty($idperkara)){ 
				return '';
		}
		try{
			$qry="	SELECT A.id AS pihak5id, A.saksi_pihak_ke, B.id AS pihakid, A.urutan, A.nama, B.pekerjaan, A.pangkat, A.nrp, A.jabatan, A.kesatuan, B.tempat_lahir, B.tanggal_lahir, B.jenis_kelamin, B.alamat,
  					A.jenis_saksi FROM perkara_pihak5 A, pihak B WHERE B.id=A.pihak_id AND perkara_id=$idperkara ORDER BY urutan ASC;";
			$query=$this->db->query($qry);
			return $query;
			} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function get_alur_perkara_id($perkara_id){
		try {
			$query = $this->db->query("select alur_perkara_id from perkara where perkara_id=".$perkara_id);
			return $query->row()->alur_perkara_id;
		} catch (Exception $e) {
			false;
		}
	}
}